### Virtual Method

# Ide HoverProvider unload

#### Declaration

    void
    unload (
      IdeHoverProvider* self,
      IdeSourceView* view
    )

#### Description

This method is used to unload an `IdeHoverProvider`. Providers should cleanup any state they’ve allocated.

Available since: | 3.32

#### Parameters

`view` | `IdeSourceView`
| An `IdeSourceView`.
| The data is owned by the caller of the function.